/* general navbar styles */
.navbar {
	padding: calc(var(--spacing) * 1) calc(var(--spacing) * 4);
	display: flex;
	justify-content: space-between;
	align-items: center;
	width: 100%;
	background-color: var(--black-5);
	box-sizing: border-box;
	font-size: 1.06rem;
	z-index: 1;
}

/* logo vlinder styles */
#logo-2 {
	width: 59px;
	height: 54px;
	z-index: 99;
	vertical-align: middle;
}

/* links styles */

/* zorgt ervoor dat de links naast elkaar staan en dat de list styles weg zijn */
.navbar .menu {
	display: flex;
	justify-content: center;
	align-items: center;
	list-style: none;
	padding: 0;
}

/* geeft wat margin tussen de links */
.navbar li {
	margin: 0 calc(var(--spacing) * 4) 0 0;
	position: relative;
	/* Add this line */
}

.navbar > li:nth-of-type(4) {
	margin: 0;
}

/* link styles */
.navbar li a {
	text-decoration: none;
	color: var(--black-75);
}

/* dit zijn de styles van de dropdown menu  */
.navbar .menu .sub-menu {
	/* top: 53px;
    left: -90px; */
	display: none;
	position: absolute;
	top: 100%;
	left: -75px;
	list-style: none;
	width: 250px;
}

.navbar .menu .sub-menu .dropdown {
	list-style: none;
	padding: calc(var(--spacing) * 3) 0 0 0;
}

/* zorgt ervoor dat het menu zichtbaar wordt */

#coaching:hover .sub-menu {
	display: block;
}

#coaching:hover .sub-menu .dropdown {
	display: flex;
	flex-direction: column;
	justify-content: space-between;
	align-items: center;
}

/* zorgt ervoor dat er een pijltje is */
.coach {
	display: flex;
	justify-content: center;
	align-items: center;
}

.coach p {
	margin: 0;
}

/* .coach img {
    width: max-content;
    height: 24px;
    opacity: 0.5;
} */

/* Hover styles voor de links zonder foto */
/* styled de links zodat er een lijn onder komt */
a {
	position: relative;
	cursor: pointer;
}

.navbar .menu a::before,
.navbar .bg ul a::before {
	content: "";
	position: absolute;
	width: 100%;
	height: 2px;
	border-radius: 4px;
	background-color: var(--black-50);
	bottom: 0;
	left: 0;
	transform-origin: right;
	transform: scaleX(0);
	transition: transform 0.3s ease-in-out;
}

.navbar .menu a:hover::before,
.navbar .bg ul a:hover::before {
	transform-origin: left;
	transform: scaleX(1);
}

/* styled de media links */
.navbar .media {
	width: fit-content;
	display: flex;
	justify-content: space-between;
	align-items: center;
	opacity: 0.75;
}

.navbar .link img,
.navbar .link {
	width: calc(var(--spacing) * 3);
	height: calc(var(--spacing) * 3);
}

/* Hover styles voor de links met foto */
.link,
.linkLogo {
	transition: transform 0.3s ease-in-out;
	position: relative;
	z-index: 99;
}

.link:hover,
.linkLogo:hover {
	transform: scale(1.1);
}

/* hamburger Menu */
.hamburger-menu {
	width: calc(var(--spacing) * 6);
	height: calc(var(--spacing) * 4);
	flex-direction: column;
	justify-content: center;
	align-items: center;
	position: relative;
	padding: calc(var(--spacing) * 2);
	right: 0;
	z-index: 2;
	cursor: pointer;
}

.hamburger-menu .bar {
	width: calc(var(--spacing) * 4);
	height: calc(var(--spacing) * 0.5);
	background-color: var(--black-50);
	margin: 3px 0;
}

.bg {
	position: fixed;
	width: 100%;
	height: 100vh;
	background-color: var(--bg-white);
	top: 0;
	right: 0;
	box-shadow: var(--img-box-shadow-hover);
	opacity: 0.85;
	flex-direction: column;
	z-index: 1;
	transition: all 0.5s ease;
	left: 105%;
	display: flex;
	justify-content: center;
	align-items: center;
	margin: 0;
	padding: 0;
	min-height: 385px;
	/* overflow-y: scroll; */
}

.bg ul li {
	list-style: none;
	width: fit-content;
	text-align: center;
	margin: calc(var(--spacing) * 2) 0 0 0;
	font-size: 1.5rem;
	line-height: var(--body-height);
	font-weight: 600;
}

.bg ul {
	/* vertical-align: bottom; */
	min-height: 60%;
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	padding: 0;
	height: fit-content;
	/* overflow-y: scroll; */
}

.bg .media {
	margin: calc(var(--spacing) * 6) 0 0 0;
}

.bg .media a {
	width: calc(var(--spacing) * 6);
	height: calc(var(--spacing) * 6);
}

.bg .media a img {
	width: 100%;
	height: 100%;
}

.bgAnimate {
	left: 0%;
}

.bar {
	transition: all 0.5s ease;
	border-radius: 10px;
}

/* animation */
.animateHamburgerMenu {
	margin: 0 0 0 0;
	position: fixed;
}

.animateHamburgerMenu .bar:nth-of-type(1) {
	transform-origin: left;
	transform: rotateZ(45deg) translate(0, 1px);
}

.animateHamburgerMenu .bar:nth-of-type(2) {
	opacity: 0;
}

.animateHamburgerMenu .bar:nth-of-type(3) {
	transform-origin: left;
	transform: rotateZ(-45deg) translate(-3px, 1px);
}

/* position fixed */
#logo-2.logoSticky {
	position: fixed;
	margin: -27px 0 0 0;
}

.navbar.navbarSticky {
	height: calc(var(--spacing) * 10);
}

/* visible or not */

@media only screen and (min-width: 650px) {
	.hamburger-menu {
		display: none;
	}
}

@media only screen and (max-width: 657px) {
	.navbar .menu,
	.navbar #MediaNormal {
		display: none;
	}

	.navbar {
		padding: var(--spacing) 0 var(--spacing) calc(var(--spacing) * 4);
	}

	.hamburger-menu {
		display: flex;
	}
}

@media only screen and (max-height: 543px) {
	.navbar .bg {
		height: 100%;
	}

	.navbar .bg ul li {
		font-size: 5vh;
	}

	.bg .media {
		margin: calc(var(--spacing) * 3) 0 0 0;
	}
	.bg .media a {
		width: 7vh;
		height: 7vh;
	}
}
@media only screen and (max-height: 360px) {
	.navbar .bg {
		height: 100%;
		justify-content: center;
	}
	.navbar .bg ul {
		margin: calc(var(--spacing) * -8) 0 0 0;
		height: fit-content;
	}

	.navbar .bg ul li {
		font-size: 5vh;
		margin: var(--spacing) 0 0 0;
	}

	.bg .media {
		margin: 0;
	}
	.bg .media a {
		width: 7vh;
		height: 7vh;
	}
}
@media only screen and (max-height: 310px) {
	.navbar .bg ul li a {
		font-size: 15.5px;
	}
	.bg .media a {
		width: 21.688px;
		height: 21.688px;
	}
}
@media only screen and (max-height: 288px) {
	.navbar .bg ul {
		margin: calc(var(--spacing) * -13) 0 0 0;
	}
}
@media only screen and (max-height: 256px) {
	.navbar .bg ul {
		margin: calc(var(--spacing) * -24) 0 0 0;
	}
	.bg .media a {
		margin: calc(var(--spacing) * -4) 0 0 0;
	}
}
@media only screen and (max-height: 210px) {
	.navbar .bg ul {
		margin: calc(var(--spacing) * -27) 0 0 0;
	}
	.bg .media a {
		margin: calc(var(--spacing) * -8) 0 0 0;
	}
}
@media only screen and (max-width: 376px) {
	.hamburger-menu .bar {
		width: calc(var(--spacing) * 3);
		height: 3px;
	}
	.animateHamburgerMenu .bar:nth-of-type(1) {
		transform: rotateZ(45deg) translate(0.2px, 5px);
	}

	.animateHamburgerMenu .bar:nth-of-type(3) {
		transform: rotateZ(-45deg) translate(-4px, -1.5px);
	}
	#logo-2 {
		width: 42.516px;
		height: 42.516px;
		z-index: 99;
		vertical-align: middle;
	}
	#logo-2.logoSticky {
		margin: -21.5px 0 0 0;
	}

	@media only screen and (max-height: 267px) {
		.bg ul li:nth-of-type(1) {
			order: 6;
		}
		.bg ul li:nth-of-type(2) {
			order: 5;
		}
		.bg ul li:nth-of-type(3) {
			order: 4;
		}
	}
}
